<?php
global $lang;

$lang['Title'] = 'NBC LinkUser2PunBB';
$lang['Disclaimer'] = '
Step 1 : Set plug-in with the parameters of PunBB.<br/>
Step 2 : Migrating user accounts of the PWG to PunBB.<br/>
Step 3 : Synchronize tables (in case an addition, updating or deleting user wasn\'t ok) enables to update password, and email and see users intruder (But you shouldn\'t have to use it).<br/>
<br/>
Following the 2 main stages, the plug-in is fully functional and you will not have to return to this page.';

$lang['Config_Title'] = 'Step 1 : Set plug-in';
$lang['Config_Disclaimer'] = '
Check the settings on your PunBB installation and correct if necessary. <br/>
Change, if any, the behavior of the plug at your convenience.';
$lang['PunBB_Prefix'] = 'PunBB Prefix tables :';
$lang['PunBB_Admin1'] = 'Username of the PWG administrator.';
$lang['PunBB_Admin2'] = '<b><u>Must be identical to the PunBB adminnistrator usernam</u></b> :';

$lang['PunBB_id_default_group'] = 'ID of the default group. If you didn\'t make modifications into PunBB, by default, 4 corresponds to the members group :';
$lang['PunBB_email_setting'] = 'Parameter of emails visibility';
$lang['PunBB_email_setting_0'] = ' --&gt; To display your address e-mail.';
$lang['PunBB_email_setting_1'] = ' --&gt; Hide your e-mail address but to allow the form e-mail.';
$lang['PunBB_email_setting_2'] = ' --&gt; Hide your e-mail address and forbid the form e-mail.';
$lang['Punbb_Save_Pass'] = 'Parameter to save the password';
$lang['Punbb_Save_Pass_0'] = ' --&gt; Do not memorize the username and the password between visits.';
$lang['Punbb_Save_Pass_1'] = ' --&gt; Memorize the username and the password between the visits.';
$lang['PunBB_Timezone'] = 'Time zone (de -12  14) :';
$lang['PunBB_Language'] = 'Language (French, English) :';
$lang['PunBB_Style'] = 'Forum style ID (1 by default) :';
$lang['PunBB_Del_Pt'] = 'Delete user topics and posts when user is deleted.';
$lang['PunBB_Del_Pt_true'] = ' --&gt; Delete all';
$lang['PunBB_Del_Pt_false'] = ' --&gt; Do not delete topics and posts';
$lang['PunBB_Confirm'] = 'Removing confirmations on the actions of administration in the audit.';
$lang['PunBB_Confirm_true'] = ' --&gt; Removes confirmations';
$lang['PunBB_Confirm_false'] = ' --&gt; Confirmation required before action in the audit';
$lang['LinkUser2PunBB_save_config'] ='Configuration saved.';


$lang['Migration10'] = '<b>Migration des comptes PhpWebGallery vers PunBB</b><br/>';
$lang['Migration20'] = '<b>Suppression des association PhpWebGallery = PunBB</b> ';
$lang['Migration30'] = '<b>Suppression des comptes PunBB</b>';
$lang['Migration31'] = '<b>Suppression du compte :</b> ';
$lang['Migration40'] = '<b>Transfert des comptes PhpWebGallery</b>';
$lang['Migration41'] = '<b>Transfert du compte :</b> ';
$lang['Migration50'] = '<b>Migration finie !</b>';
$lang['Migration_Btn'] = 'Migration';
$lang['Migration_Title'] = 'Etape 2 : Migration des comptes PWG vers PunBB';
$lang['Migration_Text'] = '
<u>Vous n\'avez jamais utilis le plugin pour lier votre PWG et PunBB</u><br/>
<br/>
-> Dans ce cas, votre table [PrefixPunBB]_users de PunBB doit tre vide de tout compte sauf les 2 comptes Anonymous et d\'administration.<br/>
- La migration va d\'abord supprimer les associations de compte PWG -- PunBB.<br/>
- Puis <b>SUPPRIMERA TOUS LES COMPTES PunBB</b> sauf les 2 comptes Anonymous et d\'administration.<br/>
<center><b>!!! ATTENTION SI VOUS AVEZ DES COMPTES PARTICULIER DANS PunBB !!!</b></center><br/>
- Enfin la migration va crer tout les comptes de PWG dans PunBB sauf Guest.<br/>
<br/>
Si des erreurs se produisent pendant l\'opration, corrigez la cause du problme et recommencez l\'opration de migration ( ce moment l seulement vous pouvez renouveller la migration).<br/>';
$lang['Migration_Disclaimer'] = '<b>!!! NE JAMAIS EFFECTUER DE MIGRATION POUR METTRE A JOUR !!!</b>';


$lang['Synchro10'] = '<b>Synchronisation des comptes PhpWebGallery vers PunBB</b><br/><br/>';
$lang['Synchro20'] = '<b>Suppression des association PhpWebGallery = PunBB</b><br/><br/>';
$lang['Synchro30'] = '<b>Analyse des comptes PhpWebGallery</b>';
$lang['Synchro35'] = 'Synchronisation du compte : ';
$lang['Synchro40'] = '<b>Synchronisation finie !</b><br/><br/>';
$lang['Synchro_Btn'] = 'Synchronisation';
$lang['Synchro_Title'] = 'Etape 2 : Synchronisation des comptes PWG vers PunBB';
$lang['Synchro_Text'] = '
<u>Vous avez dj utilis le plugin pour lier votre PWG et PunBB</u><br/>
<br/> -> Ceci signifie que vous disposez dj d\'une table de correspondance des utilisateur PWG et PunBB.<br/>
- La synchronisation dtectera les donnes prsentes en comparant les noms des utilisateurs, leur mot de passe (crypt) et leur adresse email dans les deux tables [PrefixPWG]_users et [PrefixPunBB]_users.<br/>
- Puis mettra  jour cette table de correspondance ainsi que le mot de passe et l\'adresse email de chaque compte depuis PWG vers PunBB sauf PWG Guest et PunBB Anonymous.<br/>
- Puis indiquera en erreur les comptes orphelins qui n\'existent que dans l\'une des 2 tables ###_USERS.<br/>
<br/>
A l\'issue de l\'opration lancer un AUDIT, veuillez vrifier la prsence de doublons ventuels dans les utilisateurs de PunBB, si c\'est le cas, il faut supprimer les plus anciens (tri des utilisateurs PunBB selon leur date d\'incription).<br/>';


$lang['Audit10'] = '<b>Audit de la table d\'association entre les comptes PhpWebGallery et PunBB</b>';
$lang['Audit20'] = '<b>Audit de la table d\'association pour les doublons</b>';
$lang['Audit30'] = '<b>Audit de la synchronisation des mots de passe et des mails entre les comptes PhpWebGallery et PunBB</b>';
$lang['Audit40'] = '<b>Audit des comptes existants dans PhpWebGallery et manquants dans PunBB</b>';
$lang['Audit50'] = '<b>Audit des comptes existants dans PunBB et manquants dans PhpWebGallery</b>';
$lang['Audit_Btn'] = 'Audit';
$lang['link_dup'] = 'Nettoyer les doublons pour : ';
$lang['link_bad'] = 'Croisement des infos : ';
$lang['sync_user'] = 'Synchronisation du compte : ';
$lang['add_user'] = 'Ajout dans PunBB du compte : ';
$lang['delete_user'] = 'Suppression de PunBB du compte : ';
$lang['PWGuserNotInPunBB_Error'] = '<b>Le compte PhpWebGallery n\'hsite pas dans PunBB :</b> ';
$lang['PunBBuserNotInPWG_Error'] = '<b>Le compte PunBB n\'hsite pas dans PhpWebGallery :</b> ';
$lang['Synchro_Error'] = '<b>Mauvaise synchronisation du compte :</b> ';
$lang['linkbad_Error'] = '<b>Erreur dans la table de lien entre les 2 utilisateurs :</b> ';
$lang['linkbad_advise'] = '<b>Vous avez des corrections a faire pour que le lien entre PhpWebGallery et PunBB soit OK<br>utilisez un utilitaire de gestion de base de donnes pour corriger les comptes utilisateurs directement dans les tables ###_USERS.</b>';
$lang['linkdup_Error'] = '<b>Erreur dans la table de lien, il y a des doublons :</b> ';
$lang['SynchroPassword_Error'] = 'pour le mot de passe';
$lang['SynchroMail_Error'] = 'pour l\'adresse email';
$lang['SynchroOK'] = '<b>Synchronisation OK pour le compte :</b> ';
$lang['LinkUser2PunBB_audit_ok'] = 'Audit OK<br/><br/>';

?>
